# Badge Partial Update PATCH /api/v1/rewards/{id}/badge/ Content-Type: application/json Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/rewards/badge-partial-update ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/rewards/{id}/badge/: patch: operationId: badge-partial-update summary: Badge Partial Update tags: - subpackage_rewards parameters: - name: id in: path required: true schema: type: integer responses: '200': description: '' content: application/json: schema: $ref: '#/components/schemas/UserReward' requestBody: content: application/json: schema: $ref: '#/components/schemas/PatchedUserReward' components: schemas: RarityEnum: type: string enum: - '1' - '2' - '3' - '4' description: |- * `1` - Common * `2` - Rare * `3` - Epic * `4` - Legendary title: RarityEnum Reward: type: object properties: id: type: integer rarity: $ref: '#/components/schemas/RarityEnum' uid: type: string format: uuid created_at: type: string format: date-time updated_at: type: string format: date-time deleted_at: type: - string - 'null' format: date-time is_active: type: boolean created_by: type: - string - 'null' updated_by: type: - string - 'null' deleted_by: type: - string - 'null' name: type: string description: type: string image: type: string format: uri badge: type: string format: uri cost: type: integer hidden_until_claimed: type: boolean required: - id - uid - created_at - updated_at - name - description - image - badge - cost title: Reward MinimalIAMUserDetail: type: object properties: profile_picture: type: - string - 'null' format: uri bio: type: - string - 'null' country: type: - string - 'null' phone: type: - string - 'null' linkedin_url: type: - string - 'null' format: uri github_url: type: - string - 'null' format: uri twitter_url: type: - string - 'null' format: uri website_url: type: - string - 'null' format: uri top_domain_elo: type: number format: double top_domain_rank: type: integer required: - profile_picture - bio - country - phone - linkedin_url - github_url - twitter_url - website_url - top_domain_elo - top_domain_rank title: MinimalIAMUserDetail MinimalIAMUser: type: object properties: id: type: integer username: type: string description: >- Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only. email: type: string format: email full_name: type: string is_verified: type: boolean details: type: array items: $ref: '#/components/schemas/MinimalIAMUserDetail' followers_count: type: integer required: - id - username - email - full_name - is_verified - details - followers_count title: MinimalIAMUser PatchedUserReward: type: object properties: id: type: integer reward: $ref: '#/components/schemas/Reward' user: $ref: '#/components/schemas/MinimalIAMUser' uid: type: string format: uuid created_at: type: string format: date-time updated_at: type: string format: date-time deleted_at: type: - string - 'null' format: date-time is_active: type: boolean created_by: type: - string - 'null' updated_by: type: - string - 'null' deleted_by: type: - string - 'null' is_claimed: type: boolean is_badged: type: boolean claimed_on: type: - string - 'null' format: date-time title: PatchedUserReward UserReward: type: object properties: id: type: integer reward: $ref: '#/components/schemas/Reward' user: $ref: '#/components/schemas/MinimalIAMUser' uid: type: string format: uuid created_at: type: string format: date-time updated_at: type: string format: date-time deleted_at: type: - string - 'null' format: date-time is_active: type: boolean created_by: type: - string - 'null' updated_by: type: - string - 'null' deleted_by: type: - string - 'null' is_claimed: type: boolean is_badged: type: boolean claimed_on: type: - string - 'null' format: date-time required: - id - reward - user - uid - created_at - updated_at title: UserReward ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/rewards/1/badge/" payload = {} headers = {"Content-Type": "application/json"} response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/rewards/1/badge/'; const options = {method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/rewards/1/badge/" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/rewards/1/badge/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.example.com/api/v1/rewards/1/badge/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://api.example.com/api/v1/rewards/1/badge/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/rewards/1/badge/"); var request = new RestRequest(Method.PATCH); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/rewards/1/badge/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```